version: "{build}"

# Source Config

clone_folder: c:\gopath\src\github.com\pelletier\go-toml

# Build host

environment:
  GOPATH: c:\gopath
  DEPTESTBYPASS501: 1
  GOVERSION: 1.9

init:
  - git config --global core.autocrlf input

# Build

install:
  # Install the specific Go version.
  - rmdir c:\go /s /q
  - appveyor DownloadFile https://storage.googleapis.com/golang/go%GOVERSION%.windows-amd64.msi
  - msiexec /i go%GOVERSION%.windows-amd64.msi /q
  - choco install bzr
  - set Path=c:\go\bin;c:\gopath\bin;C:\Program Files (x86)\Bazaar\;C:\Program Files\Mercurial\%Path%
  - go version
  - go env

build: false
deploy: false

test_script:
  - go get github.com/davecgh/go-spew/spew
  - go get gopkg.in/yaml.v2
  - go get github.com/BurntSushi/toml
  - go build github.com/pelletier/go-toml
  - go test github.com/pelletier/go-toml
  - go test github.com/pelletier/go-toml/cmd/tomljson
  - go test github.com/pelletier/go-toml/query
